Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.redis.connection
Enum ReturnType

    java.lang.Object
      java.lang.Enum<ReturnType>
          org.springframework.data.redis.connection.ReturnType

All Implemented Interfaces:
  Serializable, Comparable<ReturnType>

    public enum ReturnType

extends Enum<ReturnType>

Represents a data type returned from Redis, currently used to denote the expected return type of Redis scripting commands

Enum Constant Summary
`BOOLEAN` Returned as Boolean
`INTEGER` Returned as Long
`MULTI` Returned as List
`STATUS` Returned as byte[]
`VALUE` Returned as byte[]

Method Summary
`static ReturnType` | `fromJavaType(Class<?> javaType)`
`static ReturnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReturnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN

    public static final ReturnType BOOLEAN

  Returned as Boolean

### INTEGER

    public static final ReturnType INTEGER

  Returned as Long

### MULTI

    public static final ReturnType MULTI

  Returned as List

### STATUS

    public static final ReturnType STATUS

  Returned as byte[]

### VALUE

    public static final ReturnType VALUE

  Returned as byte[]

Method Detail

### values

    public static ReturnType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReturnType c : ReturnType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReturnType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromJavaType

    public static ReturnType fromJavaType(Class<?> javaType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD